Subject: libgcj and cygwin 1.1.4 under win98se
From: Peter Standfield <[email-masked]>
To: [email-masked]
Date: Thu, 26 Oct 2000 10:46:47 +1000

I get the following failure when running executables created with gcj:

IOTEST caused an invalid page fault in
module CYGWIN1.DLL at 0167:610011a3.
Registers:
EAX=00000000 CS=0167 EIP=610011a3 EFLGS=00010202
EBX=00000004 SS=016f ESP=0287fdd0 EBP=0287fdd8
ECX=00000001 DS=016f ESI=00000000 FS=2f47
EDX=00000000 ES=016f EDI=00000000 GS=0000
Bytes at CS:EIP:
8b 13 85 d2 75 f7 83 eb 04 39 f3 76 0b 8b 03 83
Stack dump:
00850620 8171cc90 0287fdf8 61002924
00000000 00000000 7fc0100c 0040101f
00470000 00470004 0287fe08 0040146f
8171cc90 00850060 0287fe28 004011e1

I used this command line to create IOTest.exe (its one of the test
programs from Jon Beniston's page):

  gcj -mno-cygwin --main=IOTest -o IOTest IOTest.java

Gcj issued no messages.

I tried
http://www.cs.bris.ac.uk/~jb7216/libgcj/libgcj-2.95.1-win32-0.3.tar.gz
first.
Then I retrieved and built the libcj source - same result.

I am a novice with all things unix and hopefully I've just done
something dumb.

regards
Peter Standfield

--
Want to unsubscribe from this list?
Send a message to [email-masked]